## org.eclipse.jet.ui.newproject
Class NewJETProjectPage1Controls

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.ui.dialogs.WizardNewProjectCreationPage
                  org.eclipse.jet.ui.newproject.NewJETProjectPage1Controls

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

Direct Known Subclasses:
  NewJETProjectPage1

    public abstract class NewJETProjectPage1Controls

extends org.eclipse.ui.dialogs.WizardNewProjectCreationPage

Field Summary
`protected org.eclipse.swt.widgets.Text` `txtDefJavaPackage`
`protected org.eclipse.swt.widgets.Text` `txtJavaOutput`
`protected org.eclipse.swt.widgets.Text` `txtJETOutput`
`protected org.eclipse.swt.widgets.Text` `txtTemplateFolder`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`protected` `NewJETProjectPage1Controls(java.lang.String pageName)`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`

Methods inherited from class org.eclipse.ui.dialogs.WizardNewProjectCreationPage
`createWorkingSetGroup, getLocationPath, getLocationURI, getProjectHandle, getProjectName, getSelectedWorkingSets, setInitialProjectName, setVisible, useDefaults, validatePage`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Field Detail

### txtTemplateFolder

    protected org.eclipse.swt.widgets.Text txtTemplateFolder

### txtJETOutput

    protected org.eclipse.swt.widgets.Text txtJETOutput

### txtJavaOutput

    protected org.eclipse.swt.widgets.Text txtJavaOutput

### txtDefJavaPackage

    protected org.eclipse.swt.widgets.Text txtDefJavaPackage

Constructor Detail

### NewJETProjectPage1Controls

    protected NewJETProjectPage1Controls(java.lang.String pageName)

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `createControl` in class `org.eclipse.ui.dialogs.WizardNewProjectCreationPage`

Copyright 2006 IBM Corporation and others. All Rights Reserved.